### Property

# Ide EditorSearch:extend-selection

#### Declaration

    property extend-selection: Ide.EditorSearchSelect [ read, write ]

#### Description

The “extend-selection” property specifies that the selection within the editor should be extended as the user navigates between search results.

Type: | `IdeEditorSearchSelect`
Available since: | 3.32

Setter method | `ide_editor_search_set_extend_selection()`
Getter method | `ide_editor_search_get_extend_selection()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no